Subject: Re: [PATCH v3 1/4] connected: do not sort input revisions

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Aug 2021 14:47:30 -0700

Patrick Steinhardt <[email-masked]> writes:

>> I however suspect that in the longer term it may be cleaner to get
>> rid of REVSISION_WALK_NO_WALK_UNSORTED if we do this.  The knob that
>> controls if we sort the initial traversal tips and the knob that
>> controls if we walk from these tips used to be tied to --no-walk
>> only because ca92e59e30b wanted to affect only no-walk case, but
>> with your new finding, it clearly is not limited to the no-walk case
>> to want to avoid sorting.
>
> Right. The question also is what to do when the user calls `git rev-list
> --no-walk=sorted --unsorted-input`. Do we sort? Don't we? Should we mark
> these options as incompatible with each other and bail out? I guess just
> bailing out would be the easiest solution for now.

I'd say so.  Even without the future clean-up to get rid of the
NO_WALK_UNSORTED, the issue already exists with this series, and
when in doubt, it is easiest to start tight and take our time to
figure out what the right behaviour should be while we initially
do not allow both to be used at the same time.